package net.roseindia;

import java.util.Iterator;
import java.util.List;

import org.hibernate.Criteria;
import org.hibernate.Session;
import org.hibernate.SessionFactory;
import org.hibernate.envers.AuditReader;
import org.hibernate.envers.AuditReaderFactory;

import javax.persistence.criteria.CriteriaQuery;
import net.roseindia.model.*;

/**
 * @author Deepak Kumar Web: http://www.roseindia.net
 */
public class GetAllRevisions {
	public static void main(String[] args) throws Exception {

		SessionFactory sessFact = HibernateUtil.getSessionFactory();
		Session session = sessFact.getCurrentSession();
		
		org.hibernate.Transaction tr = session.beginTransaction();
		
		AuditReader reader = AuditReaderFactory.get(session);
		List<Number> revisions = reader.getRevisions(Article.class, 2);
		for(Number revNum:revisions){
			Article article =reader.find(Article.class, 2, revNum);
			System.out.println("Revision No: " + revNum);
			System.out.println("Title: " + article.getTitle());
			System.out.println("Content: " + article.getContent());		

		}
		
	
		tr.commit();
		
		System.out.println("Data printed");
		sessFact.close();
	}
}